MKC_CHECK_FUNCLIB(1)

NAME
mkc_check_funclib - detects presense of function in a library.

SYNOPSIS
mkc_check_funclib <functionname> [libraries...]
mkc_check_funclib -h

DESCRIPTION
mkc_check_funclib detects presense of function in a library by compiling and linking a test program. As a result it prints either 1 (true) or 0 (false) to stdout.

OPTIONS

-h  display help message

ENVIRONMENT

CC  Compiler. By default cc is used.

CPPFLAGS, CFLAGS
    Options passed to the compiler, for example -I for additional directories that contain header files.

LDFLAGS
    Options passed to the linker (compiler, set by CC variable), for example, -L/usr/local/lib

LDADD
    Extra libraries, for example, -lm.

MKC_VERBOSE
    If set to 1, verbose messages are output to stderr.

MKC_SHOW_CACHED
    If set to 1 and MKC_VERBOSE is set to 1, cached results are output to stderr.

MKC_CACHEDIR
    Directory where temporary and cache files are created. If unset they are created in a current directory.

MKC_NOCACHE
    All results are cached unless MKC_NOCACHE variable is set to 1.

MKC_DELETE_TMPFILES
    If set to 1, temporary files are removed.

EXAMPLES
   mkc_check_funclib dlopen dl
   mkc_check_funclib dlopen
   mkc_check_funclib strlcpy
   mkc_check_funclib select socket

AUTHOR
Aleksey Cheusov <vle@gmx.net>